Safari problem

Discussion in 'Mac Basics and Help' started by GBruno, Nov 23, 2010.

  1. GBruno macrumors newbie

    Joined:
    Dec 11, 2009
    #1
    Two years ago I switched over to Mac. Now I use only mac. But I don't like to change my email address from hotmail (I still have another gmail address as a standby account). Recently I found I cannot send emails from my hotmail account. Windows live says to upgrade my browser safari. Downloaded the safari new version. Then I found it is not compatible with my operating system OS X 10.5.5. What shall I do? I don' like the way they change software.:eek: There should be some solution. Can I buy new operating system? If it says Hardware is not compatible then money go into waste.
     
  2. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #2
    The newest Safari version requires 10.5.8, which is the most current version of Leopard. You need to upgrade Leopard.
     
  3. GBruno thread starter macrumors newbie

    Joined:
    Dec 11, 2009
    #3
    I am ready to try it. But my concern is whether it is going to be compatible with hardware. The processor used in macbook is 2GHz Intel Core 2 Duo.
     
  4. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #4
    Yes, it's compatible. Free updates are never incompatible with hardware running the same version. For example, 10.5.8 will always be compatible with any hardware running 10.5.5.
     
  5. GBruno thread starter macrumors newbie

    Joined:
    Dec 11, 2009
    #5
    Thanks for your advise. Meanwhile I downloaded Mozilla fire fox as my browser. It works with hotmail and no problem with leopard. I cannot figure it out what is wrong with safari 3.1.2 and mail. Mozilla goes through it. I think I'll stay with this set up until I change full lap
     
  6. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #6
    You're using an ancient version of Safari. The current version is 5.0.3. I'm on Mac OS X 10.5.8 and have no problems with Safari or Mail.
     
  7. kuwisdelu macrumors 65816

    Joined:
    Jan 13, 2008
    #7
    There's no reason not to upgrade to 10.5.8. 10.5.8 ran perfectly fine on my 2.16 GHz C2D MacBook. (I'm on 10.6.5 now.) There are no hardware incompatibilities with it.
     
  8. Gregg2 macrumors 603

    Joined:
    May 22, 2008
    Location:
    Milwaukee, WI
    #8
    Do you ever use Software Update? It will notify you when new updates are available for any Apple software you have on your Mac. You'll find it in Utilities within your Applications folder.
     
  9. GBruno thread starter macrumors newbie

    Joined:
    Dec 11, 2009
    #9
    I tried the software update earlier.But it was no use. Anyway I'll try once more.Let you know the results soon
     
  10. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #10
    If Software Update doesn't find the 10.5.8 update, you can manually download and install it, using the link I provided in post #2.
     

Share This Page